var progressUtils = {
    checkProgress : function() {

		for(var roomName in Game.rooms){
			const room = Game.rooms[roomName];
			const structures = room.find(FIND_STRUCTURES);
			room.memory.spawns = 0;
			room.memory.containers = 0;
			room.memory.extensions = 0;

			structures.forEach(function (structure){
				if(structure.structureType == STRUCTURE_CONTAINER) room.memory.containers++;
				if(structure.structureType == STRUCTURE_SPAWN) room.memory.spawns++;

				if(structure.structureType == STRUCTURE_EXTENSION) room.memory.extensions++;
			});
		}
    }
}

module.exports = progressUtils;
